<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class is able to interact with TPP
 *
 * @package    Domain
 * @category   Service
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Service_Domain_PlanetDomain extends Service_Domain {
	private $login_acnt_field = '';
	private $login_user_field = 'login.username';
	private $login_pass_field = 'login.password';

	// Our required abstract classes
	public function manage_button(Model_Service_Plugin_Domain $spdo,$t) {
		$output = '';

		$output .= Form::open(
			sprintf('%s/%s',$this->so->whitelabel_url,'newdnr/action/user/login.jsp'),
			array('target'=>'pd','method'=>'post','id'=>sprintf('id_%s_%s',$spdo->service_id,$t))
		);
		$output .= Form::input($this->login_user_field,$spdo->username(),array('type'=>'hidden','id'=>sprintf('u_%s_%s',$spdo->service_id,$t)));
		$output .= Form::input($this->login_pass_field,substr(md5($spdo->password()),0,8),array('type'=>'hidden','id'=>sprintf('p_%s_%s',$spdo->service_id,$t)));
		$output .= Form::input('page.next',sprintf('/newdnr/action/dns/getDNSDetails.jsp?domain.name=%s',$d),array('type'=>'hidden'));
		$output .= Form::close();
		$output .= Form::button('submit',_('Manage'),array('class'=>'btn btn-default','value'=>sprintf('%s:%s',$spdo->service_id,$t)));

		return $output;
	}
}
?>
